Searching help

 You can browse every item in the help file in order to find something but you can also do a quick search by doing a fuzzy search.
Example when you want to find topics on synchronizing:


Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install info
- SmartDirCopy.exe: the unregistered executable
- smdcopy.chm: the help-file including the manual
- smd.ico: icon file
- several txt-files including all kinds of help, for the case you are unable to read the .chm-file.


Introducing SmartDirCopy

 If we would describe SmartDirCopy in one short line then it would be:
It is a program for short time interval backups.

It is a copy or backup program, which helps to save your everyday work in a quick and clear way. Quick because it copies only pre-selected items AND only if they changed since last backup. Clear because it leaves the directory structure and file formats in the backup as they were in the source, making a quick control on the result of the backup or a fast restore of a file possible.
Backup is possible to several kinds of drives including Hard Disk, CD-RW, DVD-RW, ZIP... .

It is especially made for users whose work is frequently updated but not backupped (enough) by a central system.


Requirements

 Software requirements are low. It should suffy you have Windows 95 or higher. It proved to work perfect in Windows95, 98, 98SE and XP. Also NT and higher versions of Windows should be compatible... .
To work with CD's/DVD's you should have a program like DirectCd from Roxio (former Adaptec) or InCD from Nero (DVD-RW).
Hardware requirements are nihil; the slowest Pentium will be more than enough and the needed hard disk free space is about 1MB only... .


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu. (Remark that the installer could say there is 2048MB free while there is even more free space... just ignore that)
    Nothing is copied to your (Windows) system; everything gets in the chosen program files folder.

    If install fails for some reason then you can also manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\SmartDirCopy and then run SmartDirCopy.exe.

  • Registered version
    Simply replace the old SmartDirCopy.exe (not the installer, but the exe file in your program files folder) with the one you got by E-mail.
    If you requested to rename the file-name because your email system does not accept them, then add '.exe' to the file-name manually.
Always keep files together in the installation directory (chosen program files folder).

To remove the software, use the uninstall option, available via for instance the Windows start menu. Some files won't be removed: '*.ini' and '*.his'-files; please remove these manually and delete eventually the empty directory.


How it works - short

 1) In a first stage you simply select what items (= directories or files!) have to be backupped and what destination root you will use. This, along with some options, is combined into one PROJECT-file (.smd-file).
2) In the second stage (=backup), you choose to run the project-file and following happens:
A) precalculation: if chosen for precalculation then first the future free size is checked. If no space left, the process can be interrupted by the user.
B) cleaning (no effect if first run of project): it checks every file on the backup disk and all files on the destination which were eventually cleaned on the source are now also deleted in the destination.
C) updating (or copying if first run of project): all completely new and changed files from the source are copied to the destination using the same directory structure as in the source.
In this way, during the first run of a project to a disk you will create a quasi identical copy of the source and during other runs to that same disk you update that identical copy!

If you have a lot of files you can also make several projects. As all the project-files are saved you can quickly select them later on again to update the backup, leaving away the first stage.
It is also possible to edit projects later on (eg you want to add a directory).

Normal backup example
Suppose you chose as source item: c:\my documents
and as destination drive: d:
then the destination item will be: d:\SMDcopy_drive_d\my documents

Synchronized backup
From SmartDirCopy 3.0 onwards you can also opt to have a specific destination folder, without using the default SMDcopy_drive folder.
Example: suppose you chose as source item: c:\my documents
then you can synchronize this with d:\my documents for instance.
Working this way you can only add one source item per project file but it remains a great option for people for instance travelling a lot. You can backup from desktop to laptop, work further on your laptop during travel, and when back home you do another synchronized backup from laptop to desktop.

Remark
During both normal and synchronized backup, files will be copied from source to destination as soon as they are different (different size or different time stamp), so that a destination item will become identical to a source item.


Project New and Edit

 If you know how to make a new project then you will understand how to edit one.

Choose Project - New in the main menu.
You will see the Project New and Edit screen:

Best is to follow the following sequence. A guide to create a new project:
  • Choose the source.
    In the select area you can select a DIRECTORY-item using the drive and directory boxes. Once you found a directory you want to copy you make sure it appears as an item to add and then you transfer this to your item-list by clicking on the ADD-button. In a similar way you can add also FILE-items. Multi-select (holding shift or ctrl button) can be used eventually for file items. You can use the filter too by for instance typing *.xls if you want to select only from xls-files. Add as many items as you want to the item-list if you do an ordinary backup; but if you will check the synchronize option in the destination area then you can add only 1 source item.
    If you made a mistake you can always remove an item from the list by standing on it in the list and using the special delete button (of course, it does not delete the item from your disc).
    If you chose to add a source-item which is part of an already added item then the program will notify you that this makes no sense. If you choose to add it anyway then keep in mind that precalculation could be wrong.
    TIP: Apart from your ordinary work (doc-files, excel-files,...) you can also select other things like Windows data that changes a lot (internet favorites, address books, mailbox archives like pst and dbx files...). Location of those depends on your system. See also example in screenshot.
  • Choose a destination.
    Normal backup (synchronize box = unchecked)
    Select a destination root (obliged). For normal backups you choose the root of the drive, for instance 'd:'. You will see that automatically directories like SMDcopy_drive_C will be created (see also 'Running a project') in that root, during backup.
    As destination root you can also select . This can be any directory (see also 'Options')! This is for people who do not have a special drive to do backups or for the very frequent backups. However, always remember that in the case source and destination drive is the same, you will loose everything if the disk crashes. Though it still can be handy for 'preventing-from-overwriting-purposes'.
    Select also the kind of drive. This is not obliged. However it is handy for your reference if you have different kinds of backup drives. Also in the case of a CD-rom like destination you better select it if you want to have a good precalculation of the future free size on the destination (see also 'Working with CDs/DVDs')!!
    Synchronized backup (synchronize box = checked)
    If you check the synchronize box then you will have to give the exact, complete destination item too. Only one source item can be synchronized like this per project.
    Remark: synchronizing to a drive root is forbidden for safety reasons.
    Choose a kind of drive too (see normal backup).
  • Check destination sizes
    To get an idea about the remaining free size (=future free size) after backup you can push the big check-button. It will calculate the size of the selected source files, the actual free size on the destination and the future free size on destination drive. A negative size means that you most probably will lack disk space if you run the project. In that case the project is too big and you will have to split the project into more projects. Always remember that one project-file can not write to several disks; the project must fit onto one disk. This is a difference with many other backup systems.
    If you run a project anyway that will cause a lack of space then you will get an I/O error, and the process will terminate somewhere during the backup. Normally your system won't hang but this can not be guaranteed. However there is an additional security feature built-in. See below.
  • Set project options.
    You can choose to set 3 options per project:
    Check CONFIRM (default=OFF) if you are a beginner and you feel not sure what you are doing with the program. This will generate a confirmation pop-up screen before any file would be deleted or overwritten. Of course this will take much time if you continue to work like this. So once you feel safe with SmartDirCopy or with a project then you edit the project by UNchecking this option and you will be able to backup in a fluent way. Advanced users will seldom use this feature.
    Check PRECALCULATE (default=ON) if you want to check before every run that the complete project will fit on the destination disk. It is recommended always to check this option except when working with CDR-like disks. Precalculating on CDR can take quite some additional time. To prevent that you can uncheck the option during first runs of the projects, when it is still obvious that you have plenty of space left on the CD.
    Check FILE NAME CHECKING (default=OFF) for better compatibility with special media like CDs. If you selected for the kind of drive a CD then this setting will change automatically to ON. See also chapter: Working with CDs/DVDs.
  • Save.
    Try to find a good name for your project. If your project backup fits without any problems on one disk and you will save only one per year, then you can call it for instance "backupyearXXXX". Pushing the save button will create or overwrite the file "backup XXXX.smd" in the projects directory (see options). If you choose to run the project immediately after editing then you can push "save and run". Hit "cancel" if you do not want to save the current editing.
If you want to re-edit or view the project, then just choose Project - Edit in the main menu, select the smd-file and you will see that the same screen as for a new project will appear, but with the previously saved info already filled in... .


Project Run

 The backing up itself (or copy process) can be started, simply by selecting a previously saved project. You can start it also using the timer but for this please refer to the options section. We describe the normal procedure:
Choose Project - Run in the main menu and select the smd-project file you want to run.
You will see the Project Run screen:

Way of working:
  • Check source and destination items.
    The copying itself did not start yet; you first get the opportunity to check source and destination. You can see the selected source items AND all the corresponding full path destination items one after one.
  • Check reporting options.
    To be sure what the program exactly is doing and what the results are you have the reporting possibilities using reporting selection boxes.
    - None: means there is no report at all
    - Normal: means you can follow all the important info and actions like start and end times, which files that are overwritten, eventual errors....
    - Extended: it follows about every step of the execution, mentioning for instance also that a specific file does not change. This is only recommended for first time users who do not feel safe yet with the program. It can quite slowdown the process.

    - Log-file: If you also check the log-file checkbox then a log-file will be made, storing the same information as you saw during execution. The log-file contains every line that passed, whereas the text in the report area during execution is limited in size (100 lines), which can cause you do not see everything afterwards (first part cut off), in that area. So if you want to check everything afterwards it is strongly recommended to use this option.
  • Hit run-button
    Hit the run button to start the copy process, using the current project and reporting options.
    In the report area you can now follow what the program is doing, according to the report options you just chose. You can also see what item is being processed, following the blue bars in source and destination areas.
    During execution you can change the reporting options by just clicking on them.
    Also, if you want to stop the copy process for some reason there is still a way out. Just hit the ESCAPE-button on your KEYBOARD in emergency situations. The program will be halted after the current source-file has been processed. Remark it does not work during cleaning on destination, but if really urgent you can hit CTRL+ALT+DEL and then choose end task.
    In the report and status bar area you will see if the process has ended. Then just hit the close-button and the job is done!


Working with CDs/DVDs

 First of all: what we tell about CDs is also valid or quite similar for DVDs.

Working with CDs asks for some special attention.

If you have a CD-writer, then you will have special software to be able to write to your CDs. In most cases however, this software is not compatible to Windows Explorer and is it impossible to copy or write to the CD like you would write to another drive like a hard disk, ZIP disk or Yazz disk. Also if you try to save a file (from a Microsoft office program like Word for instance) then it would not work.
Now, we have the same problem with SmartDirCopy.
However, there is a solution! There exists some CD writing software which makes standard software compatible to CDs. It is, among others, DirectCD from Roxio. DirectCD is a way to write files directly to a CD-Recordable (CD-R) or CD-ReWritable (CD-RW) disc much like you would to a floppy diskette or removable drive. It kind of changes the formats of the CD and with DirectCD itself in memory you can use also SmartDirCopy!
  • Writing to CD-R/DVD-R
    We do not recommend writing to non re-writable media. But here some info anyway. CD-Rs are relatively cheap but when removing files, the space is not released. This is a big disadvantage. But if the total size of the source files are small in comparison with the CD-size, then SmartDirCopy can be used. Do not forget to select the kind of drive as CD-R in project edit as precalculation of future free size takes this into account!
    Note that theoretically it is possible to delete files on CD-R in such a way that they are invisible BUT space does not come free. This is why there is chosen not to clean on destination CD-R. So the cleaning phase during backup does not exist for CDRs.
  • Writing to CD-RW/DVD-RW
    CD-RWs are more expensive than CD-Rs but are still cheap in comparison with many other media types AND they can act like a floppy disc with a huge size! We recommend however to use at least VERSION 2.0 of DirectCD if you write to CD-RWs. If you use a lower version then the CD will most probably be seen as a CD-R and so keep in mind then to select the CD-RW as a CD-R in the project as there won't become space available on the CD when a file is deleted.
    DirectCD 2.0, CD-RWs and SmartDirCopy make up a good team to do your backups!
    If you consider copying a lot and/or huge files then you can think about DVDs. We recommend using InCD (from Nero) for backups to DVD-RW.
  • File name compatibility
    CDs in general are not 100% compatible with Windows. For instance if you try to copy files with very long file names (longer than 127 characters) using DirectCD then it could cause errors or even could cause your system to hang. Also some characters are not supported on CDs which Windows Explorer sometimes admit. Many copying programs, including Windows Explorer can fail in such cases. Also problems with SmartDirCopy did occur, notwithstanding the fact we told not to use very long file names. We understand however that sometimes it is hard to prevent such file names and from v1.7 of SmartDirCopy onwards we built in some special protection against this: long file names can be automatically cut on the CD + some forbidden characters (very rare though) are ignored. So certainly consider our file-name-checking feature when editing projects if you copy to other destinations than usual hard disk!

    Remark that it is possible that EMPTY directories which should be removed during cleaning phase are possibly not removed from the CD-RW. A warning will be given in normal report so that you can eventually remove them manually if you really should want to.
For download and further details on DirectCD, please search on Roxio. There are versions for both CD's and DVD's. For DVD-RW try Nero.


Main options

 Via Options in the main menu you access the main options of the program.
If you are a beginner or want to keep things simple then use only the options above the horizontal bar. The options below the bar are more advanced options.
  • Default location backup
    In "editing a project" you could see it is possible to select "default" for destination. This default destination root must be specified here, with this option. Remark it is recommended you select the root of your most used backup drive, but it is also possible here to select any directory!
  • Limitation of backup drives
    For extra protection reasons you can give the drive you usually write to. If you select drive D for instance, then you will only be able to write to drive D. An error would be given when you try to write to another drive like your C-drive. Handy feature for people who are quickly absent-minded.
  • Location of SMD-projects
    You are forced to put all your project-files (SMD-files) in the same directory. Here you can specify this location. Choose for instance "c:\documents\smd-projects". If you don't specify it at all, then they will be saved in the same directory as smartdircopy.exe.
  • Location of log-file
    Specify here the location for your log-file. Choose for instance "c:\windows\temp". Avoid to put it in a directory which is a source-item in one of your projects! Otherwise precalculation could be less accurate as file grows in source during backup... . For the same reason, avoid to put it in a backup drive. If you don't specify a location at all, then the log will be saved in the same directory as smartdircopy.exe.
  • Timer
    Instead of hitting the run button yourself, you can use the built-in timer and let the program run a project for you at a given time.
    You will have to set the project and the time (hour and minutes) you want it to run. Options to have the timer active on start-up or to show/hide the panel on the main form are available too. You can make the timer active using the timer panel. If not active, the timer will not time out. If active then it will run the chosen project at the given time and immediatly after it will deactivate.
    When the timer is active it will be impossible to run projects in the normal, manual way. Editing of log-file is forbidden too. Edit, view and save of projects is possible but you are not encouraged to do so when there is about to start an automatic run.
    On the timer panel on the main form you can also use the countdown monitor as an additional help. Use the mouse pointer or right mouse button for further help.
    The timer is a strong option. Together with other programs like Windows Task Sheduler it can automize your recurrent backups. Before you fully use the timer though, you are encouraged to first learn to use the program in the manual way and to play with the timer settings and countdown monitor, without an active timer.
  • External launch in run form
    External launch means: when you double-click a smd-project in Windows Explorer for instance, that it causes SmartDirCopy to open and load the project immediatly, just like it happens with office files. Before you can use this you have to assign smd-extensions to SmartDirCopy (go to explorer, shift-right-click on a smd-file, select SmartDirCopy, check always use this program...). Then when clicking a project it will standard open in the project editor. Now, when most projects are already edited then you will probably want to go a step further and open them directly in the run form... in that case: check this option!
    See also the section extra, to overrule this option for specific projects.
  • Background...
    Personalize your program. This allows you to set, change or remove a background image for the main screen. You can use also the right mouse button.
  • Project editor - Show/hide dir sizes
    The directory browser in the project editor can show the dir sizes while you browse. This can be handy to estimate sizes during project edit. Note however that browsing will be slower and that the shown sizes exclude the sizes in the subfolders.
  • Project editor - Show/hide synchronize option
    If you want to start using the synchronize feature then show (enable) this option so that a checkbox appears in the project editor. Only for advanced users.
  • Run history - Maximum items
    Should you want to change the standard maximum items in the run history then you can do it here. The more advanced users will probably increase this number.


Log-file

 During the run of projects you could see in the report area some backup information according to the report option chosen. If you checked the log-file checkbox then this info has been written to the log-file of SmartDirCopy. In that way the information can be checked later on. This feature won't be used a lot by the average user, but it certainly can be handy for first time users (to see what is happening) and for some professional users who eventually want to use the file for further processing.
All logs are kept in the same log-file.

In the main menu you find following tasks...
  • View
    Clicking this, the log-file will automatically try to open in the default program for txt-files. A Fast way is to use Windows Notepad, but also other programs like Word can be used. If txt-files are not linked to any program (which is unlikely) or you want to put another link then use Windows Explorer (mouse on a txt-file, click shift + right mouse button, choose open with...). Of course, first opening any text-editor and then manually selecting the log-file works also... .
  • Empty
    This removes the complete contents of the log. Always remember that a log-file takes space on your disk. If you use a lot the extended report option for instance, the file size can rise quickly!
  • Crop last run
    If you want to save the last report info then choose this handy task. You get rid of the old stuff in the log-file and keep the last info. You can always edit the log-file yourself using your favorite editor, but keep in mind that automatically cropping last run afterwards could fail if you messed around in the log.
  • Show run history
    Run history is a summarizing overview with the most recent ones on top. Hit this command to show the history list.


Extra

 Create desktop shortcut
If you have a project which you run very frequently then you can consider making a shortcut. Select the project and then choose between opening in the project editor or directly in the run form. If you are a very advanced user then you can also choose to create a shortcut which opens the project in the run form AND start the run itself immediately.
After you pushed the create button you can locate the link on your desktop.
Remark/warning: the desktop shortcuts created like this will overrule the normal external launch option (project editor versus run form). If external launch option is set for instance on run form, and a desktop shortcut was created for opening in the run form AND start running, then the shortcut will cause the project to run immediately!!

Batch
Very advanced users may think about using the program in a batch program. Additional info for them: use -extlog as a possible third parameter and -close as a fourth, respectively to force extended logs and to close the program after a project run.


Tips, tricks and notes

 This contains some additional info about this software.

- Hit the ESC button to close a form or even the program itself.
- Make some small projects for the very frequent, fast backups. Make bigger projects for less frequent updates.
- Always try to structure your work (documents) as much as possible. Including software files (like c:\program files...) in projects is mostly pointless.
- Try to avoid as much as possible to move or rename complete directories. This could cause you to change your projects files.
- If you want to save also some very old versions of your work, then simply store the backup disk and start running the project to a new empty disk. If size enough left on backup you can also move the contents in a directory (like d:\backup2004) and continue using the same backup disk!
You can do this yearly or even quarterly depending on the work volume and importancy.
- Do not make items on a backup disk read only! Running a project to such a disk can cause errors. The program will try not to update this readonly items, but precalculation will be wrong etc... . If you make items readonly then do this only on a backup disk which you won't update anymore. Source items can of course still be readonly.
- Precalculation of future free size may not always be 100% correct. This can be due to the fact that Windows works with a recycled bin. If files are deleted then space comes not always immediatly free because files are just moved to the bin... Sometimes Windows proposes to empty the bin, but this can be too late. In the case the disk is full then you'll get an I/O error and the copy process will be interrupted. During tests however, the system itself did not crash... . Also CD-software (and ZIP-software...) can work in a special way with file sizes. A way which SmartDirCopy does neither take into account!
Just take as a good rule that you don't try to use 100% of the backup disk space. Anyway, as your work normally continues to grow, there will come a day the backup disk will be full. Once you reach for instance 90% of the space, then it is about time you think about splitting up the project-file, or time to copy less projects to that destination.
Also be aware that precalculation of course won't give the right value in the case you work with CONFIRM ON and during backup you decide not to delete some items... .
- It is a known issue that very long names (often used in windows\favorites) are sometimes not copied well to CDs or other media. It can cause those files can not be cleaned anymore using this program or they can cause the program to halt suddenly. Use our file-name-checking feature (recommended) or try to avoid longer names than 127 characters. See chapter: Working with CDs/DVDs.
- Open files? In most cases it is possible to backup them but... try preventing to backup them because when you save during backup... you will not know what version has been saved, precalculation could be wrong... and so on. Also, some programs will not let them be accessed for copying... creating an error and stop the backup proces.
Known issue is error 103. This is the kind of error you get when you are trying to backup files like the windows swap file (win386.swp). Apart from Windows also other programs may have such a behaviour and create conflicts. Our advice: usually it makes no sense to backup such files and if you really want to then try to shut down the conflicting program before running your project.
- If 'non-allocatable space' appears in the project editor then ignore this. It can happen when using InCD for DVD-RWs for instances. It can be seen as a special file for that software. Your own file names should be shown fine though.
- Warning: starting several instances of SmartDirCopy and running several projects at the same time is not recommended. Only advanced users can do this.
- Network problems? If network drives do not appear or create an error 'invalid filename' in our program then you probably can fix it by choosing 'map network drive' in Windows Explorer.
See also Advantages/disadvantages
- Although there is an in-built precalcuIation, it could occur that your disk is suddenly full. I/O error 112 wil occur in that case causing you to find some more space... .
- It could be that Windows changes all the time stamps of your files for daylight-saving-time reasons, by exactly one hour. This will cause files which are identical to be copied again by SmartDirCopy. So this behaviour can occur 2 times a year. For big backups this could mean some time loss but we believe this is the safest way to handle. We do not recommend trying to change time stamps in source or destination.


Advantages and disadvantages

  • Advantages
    - It does not backup items which did not change since last backup. This can lead to big time profits, making backups with short time interval (daily or less) possible. The bigger your files the more time you can win.
    - It cleans (removes) those items in the backup, which were cleaned in the source.
    - Easy to find back a file in the backup using Windows Explorer, as file and directory structure in backup is similar to the source.
    - It can backup to several kinds of drives like Zip, Yazz and (with the help of external software) even to CDs and DVDs.
    - You can select both files as directories as source items
    - Copy from several source drives to one disk possible. Eg backup from c:\documents and d:\documents to e:\.
    - Nesting protection included to avoid backups with infinite duration.
    - Special write protection included to avoid writing to other than specified drive.
    - You can make as many backup jobs (projects) as you want.
    - Empty space on backup disks can still be used for other goals than "SmartDirCopies".
    - Report functions help you see what happens during backup.
    - Built-in protection against errors concerning incompatibily with CDs.
    - The built-in 24h timer can help you automize your backups.
    - Updating a backup by re-running a project goes very fast.
    - Very advanced users (system people...) can learn from the desktop functionalities in order to get things even more automized.

  • Disadvantages
    - There are limitations to the unregistered version. Up to about 5 items and a total of about 50MB selected size per normal project are allowed. Synchronized projects contain only 1 item in both unregistered and registered version; the unregistered version has a limit of about 20MB for these synchronizations. To get rid of this limitations go to the registration section. Registered version allows more than 1000 items and more than 1 billion GB for each project.
    - Impossible to spread one backup job over several disks. You must make several backup jobs to solve this problem.
    - The full 100% of a backup disk won't be used. At least take into account a loss of some percents.
    - Writing to CDs/DVDs requires the right CD-software like DirectCD, not included in this program.
    - If source items are selected which are system, hidden, or readonly files or directories, then they will all become normal, viewable and writable work files in the backup. If you restore such files you must restore manually these attributes if you feel it is necessary.
    - Some external programs can possibly avoid read access to some work files. If so, then close file and/or the program. See also Tips, tricks and notes


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.

At the time this is written there is even an online site translator (draft) accessible via our website for languages like French, German, Italian, Japanese, Korean, Portuguese and Spanish.


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and will include some of your personal info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
This software is provided "as-is", without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software; Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Register

 To register, simply go to our website and look for a register link. Then please follow instructions.
At the moment this is written we work with an intermediate company who is specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
Price includes the fee for intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in the future. Please see website for latest info.

Once registration accepted you will get your personal, registered, executable file of the last known version of this program by E-mail. Make sure your email system can receive a file as big as the size of the exe file. Exe-file for registered and unregistered version does not differ a lot. If your mail-system accepts files of 1MB then you should not have problems. Simply replace unregistered file by this registered file in the installation directory (see install).

Remark that registered version runs somewhat faster as less size checking work to do.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Updates

 Every registered user has the right to ask for a free update per email. This is only valid however for users who registered during the period this is mentioned on website. This way of working can change in future. Registered users are kept in database and have a reasonable chance that sooner or later all updates will be cheaper for them or even completely free. Eventual updated documentation will always be free and downloadable. Please check website.

Version history:
version 1.0, released May 2001
version 1.2, released June 2001:
- 2 important bugs removed (previously you got an error after selecting single files as source items + you got an error when (free) sizes were bigger than 2GB)
- added search possibility to help-file
version 1.4, released July 2001:
- automatic installer of the program available
- update procedure changed
- initialization bug removed, which occurred just after first run of program.
- new program icon created
- some minor changes
version 1.6, released Jan 2002:
- personalize the program by adding a background image you prefer
- help accessible directly from editing and run screens
- bug removed for people backing up complete drives (previously update function did not work without manually re-editing the item-to-add line, removing the back-slash)
- small bug solved: when changing the location for projects it was not immediatly accessible
- some minor changes
version 1.7, released May 2002:
- project editor supports now also files with read-only, hidden and system file attributes.
- better compatibility with CDs, solving some rare but very nasty errors.
- minor changes like ability to view log file from run-window using right mouse...
version 1.8, released August 2002:
- bug resolved: when using default destination in combination with limitation of backup drives it could have resulted in an error that you were not allowed to write to a drive while you should have been allowed.
- minor changes (eg: initialization error in option 'limitation of backup drives' fixed, look of project editor slightly improved, report and help files improvements)
version 2.0, released October 2003:
- DVD support added
- 24 hour timer added with countdown monitor.
- history bug resolved + added history functionality
- project editor improved by adding multi-select support for files. Deleting from item-list can in multi-select mode too (ctrl-button).
- separate buttons added to project editor to check selected source size and actual free size on destination
- short-cut keys added
- minor improvements on statusbar messages and other
version 2.1, released November 2003
- bug in the new (v2.0) multiselect functionality resolved
- help file improved
version 3.0, released November 2004:
- added possibility to choose an exact destination path (synchronize)
- start a project by clicking on it
- project editor improved with better built-in file explorer and preview of destination items
- better pull-down and resize behaviour
- various small improvements
- batch support for advanced user
version 3.1, released December 2004:
- bug removed and small improvements in resize behaviour
version 3.3, released December 2005:
- completely new browser in project editor featuring the possibility of showing dir sizes and files sizes while browsing
- empty folders removal when folders do not exist anymore in source
- some small changes to project editor and reporting
version 4.0, released October 2006:
- run history overview added
- folder size checkbox added in project editor
- improved cancelling of a running project
- some minor improvements
version 5.0, released November 2009:
- speed has been drastically improved
- improved support for USB-sticks and external hard drives
- reporting of free size after a backup
- limitations in free version became less severe